# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.75"
name = "planus-types"
version = "1.1.1"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Internal type library for planus."
readme = false
keywords = [
    "flatbuffers",
    "serialization",
    "zero-copy",
]
categories = [
    "encoding",
    "data-structures",
    "memory-management",
]
license = "MIT/Apache-2.0"
repository = "https://github.com/planus-org/planus"

[lib]
name = "planus_types"
path = "src/lib.rs"

[dependencies.codespan]
version = "0.11.1"

[dependencies.indexmap]
version = "2.7.1"

[dependencies.lalrpop-util]
version = "0.22.1"

[dependencies.planus-lexer]
version = "1.1.1"

[dependencies.string-interner]
version = "0.19.0"
